#!/bin/bash
# remove_chimeras.sh
# This script is run from a directory above the directory trimmed_seqs containing the
# trimmed sequences to be processed.
# The reference sequences or udb database are assumed to be in directory ~/resources.

# Configure paths
# Next 3 lines for MSU's HPCC.
# RDPToolsDir=/mnt/research/rdp/public/RDPTools # For MSU's HPCC
# usearch81=/mnt/research/rdp/public/thirdParty/usearch8.1.1831_i86linux64
# refSeqDir=~/resources

# Next 3 lines for my local installation.
RDPToolsDir=/usr/local/RDPTools # For my local installation
usearch81=/usr/local/bin/usearch8.1
refSeqDir=~/resources


# Remove chimeras with uchime in reference mode. Put non-chimeric sequences in
# sub-directory non-chimeric_seqs.
mkdir non-chimeric_seqs
cd trimmed_seqs
for f in $(ls *.fastq)
do
	$usearch81 -uchime_ref $f -db $refSeqDir/rdp_trainset_16.udb -nonchimeras ../non-chimeric_seqs/${f/fastq/}fasta -strand plus
done
